Page MenuHomeFreeBSD

Rename NO_WERROR -> MK_WERROR=no
ClosedPublic

Authored by arichardson on Dec 13 2020, 6:49 PM.

Details

Summary

As suggested in D27598. This also supports MK_WERROR.clang=no and
MK_WERROR.gcc=no to support the existing NO_WERROR.<compiler> uses.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Seems to work fine when building amd64 world, but I haven't tried GCC yet.

MK_WERROR.clang=no is a bit weird, but it's not going to fit easily no matter what so using an odd spelling is probably for the best.

This revision is now accepted and ready to land.Dec 14 2020, 7:08 PM
This revision now requires review to proceed.Jan 6 2021, 5:54 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 7 2021, 11:09 AM
This revision was automatically updated to reflect the committed changes.